Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.profile.saml2
Class BaseSAML2ProfileRequestContext<RequestType extends org.opensaml.saml2.core.RequestAbstractType,ResponseType extends org.opensaml.saml2.core.StatusResponseType,ProfileConfigurationType extends edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml2.AbstractSAML2ProfileConfiguration>

    java.lang.Object
      org.opensaml.ws.message.BaseMessageContext
          org.opensaml.common.binding.BasicSAMLMessageContext<InboundMessage,OutboundMessage,NameIdentifierType>
              edu.internet2.middleware.shibboleth.common.profile.provider.BaseSAMLProfileRequestContext<RequestType,ResponseType,org.opensaml.saml2.core.NameID,ProfileConfigurationType>
                  edu.internet2.middleware.shibboleth.idp.profile.saml2.BaseSAML2ProfileRequestContext<RequestType,ResponseType,ProfileConfigurationType>

Type Parameters:
  `RequestType` - type of SAML 2 request
  `ResponseType` - type of SAML 2 response
  `ProfileConfigurationType` - configuration type for this profile

All Implemented Interfaces:
  edu.internet2.middleware.shibboleth.common.attribute.AttributeRequestContext, edu.internet2.middleware.shibboleth.common.profile.ProfileRequestContext<ProfileConfigurationType>, edu.internet2.middleware.shibboleth.common.profile.provider.SAMLProfileRequestContext<RequestType,ResponseType,org.opensaml.saml2.core.NameID,ProfileConfigurationType>, org.opensaml.common.binding.SAMLMessageContext<RequestType,ResponseType,org.opensaml.saml2.core.NameID>, org.opensaml.ws.message.MessageContext

Direct Known Subclasses:
  ArtifactResolution.ArtifactResolutionRequestContext, AttributeQueryProfileHandler.AttributeQueryContext, SSOProfileHandler.SSORequestContext

    public abstract class BaseSAML2ProfileRequestContext<RequestType extends org.opensaml.saml2.core.RequestAbstractType,ResponseType extends org.opensaml.saml2.core.StatusResponseType,ProfileConfigurationType extends edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml2.AbstractSAML2ProfileConfiguration>

extends edu.internet2.middleware.shibboleth.common.profile.provider.BaseSAMLProfileRequestContext<RequestType,ResponseType,org.opensaml.saml2.core.NameID,ProfileConfigurationType>

Contextual object used to accumlate information as profile requests are being processed.

Constructor Summary
`BaseSAML2ProfileRequestContext()`

Method Summary
`org.opensaml.saml2.core.Status` | `getFailureStatus()` Gets the status reflecting a request failure.
`void` | `setFailureStatus(org.opensaml.saml2.core.Status status)` Sets the status reflecting a request failure.

Methods inherited from class edu.internet2.middleware.shibboleth.common.profile.provider.BaseSAMLProfileRequestContext
`getAttributes, getMessageDecoder, getMessageEncoder, getNameIdentifierAttribute, getPrincipalAuthenticationMethod, getPrincipalName, getProfileConfiguration, getReleasedAttributes, getRelyingPartyConfiguration, getRequestedAttributesIds, getUserSession, setAttributes, setMessageDecoder, setMessageEncoder, setNameIdentifierAttribute, setPrincipalAuthenticationMethod, setPrincipalName, setProfileConfiguration, setReleasedAttributes, setRelyingPartyConfiguration, setRequestedAttributes, setUserSession`

Methods inherited from class org.opensaml.common.binding.BasicSAMLMessageContext
`getInboundSAMLMessage, getInboundSAMLMessageId, getInboundSAMLMessageIssueInstant, getInboundSAMLProtocol, getLocalEntityId, getLocalEntityMetadata, getLocalEntityRole, getLocalEntityRoleMetadata, getMetadataProvider, getOuboundSAMLMessageSigningCredential, getOutboundMessageArtifactType, getOutboundSAMLMessage, getOutboundSAMLMessageId, getOutboundSAMLMessageIssueInstant, getOutboundSAMLProtocol, getPeerEntityEndpoint, getPeerEntityId, getPeerEntityMetadata, getPeerEntityRole, getPeerEntityRoleMetadata, getRelayState, getSubjectNameIdentifier, isInboundSAMLMessageAuthenticated, isIssuerAuthenticated, setInboundSAMLMessage, setInboundSAMLMessageAuthenticated, setInboundSAMLMessageId, setInboundSAMLMessageIssueInstant, setInboundSAMLProtocol, setLocalEntityId, setLocalEntityMetadata, setLocalEntityRole, setLocalEntityRoleMetadata, setMetadataProvider, setOutboundMessageArtifactType, setOutboundSAMLMessage, setOutboundSAMLMessageId, setOutboundSAMLMessageIssueInstant, setOutboundSAMLMessageSigningCredential, setOutboundSAMLProtocol, setPeerEntityEndpoint, setPeerEntityId, setPeerEntityMetadata, setPeerEntityRole, setPeerEntityRoleMetadata, setRelayState, setSubjectNameIdentifier`

Methods inherited from class org.opensaml.ws.message.BaseMessageContext
`getCommunicationProfileId, getInboundMessage, getInboundMessageIssuer, getInboundMessageTransport, getOutboundHandlerChainResolver, getOutboundMessage, getOutboundMessageIssuer, getOutboundMessageTransport, getPostSecurityInboundHandlerChainResolver, getPreSecurityInboundHandlerChainResolver, getSecurityPolicyResolver, setCommunicationProfileId, setInboundMessage, setInboundMessageIssuer, setInboundMessageTransport, setOutboundHandlerChainResolver, setOutboundMessage, setOutboundMessageIssuer, setOutboundMessageTransport, setPostSecurityInboundHandlerChainResolver, setPreSecurityInboundHandlerChainResolver, setSecurityPolicyResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opensaml.common.binding.SAMLMessageContext
`getInboundSAMLMessage, getInboundSAMLMessageId, getInboundSAMLMessageIssueInstant, getInboundSAMLProtocol, getLocalEntityId, getLocalEntityMetadata, getLocalEntityRole, getLocalEntityRoleMetadata, getMetadataProvider, getOuboundSAMLMessageSigningCredential, getOutboundMessageArtifactType, getOutboundSAMLMessage, getOutboundSAMLMessageId, getOutboundSAMLMessageIssueInstant, getOutboundSAMLProtocol, getPeerEntityEndpoint, getPeerEntityId, getPeerEntityMetadata, getPeerEntityRole, getPeerEntityRoleMetadata, getRelayState, getSubjectNameIdentifier, isInboundSAMLMessageAuthenticated, setInboundSAMLMessage, setInboundSAMLMessageAuthenticated, setInboundSAMLMessageId, setInboundSAMLMessageIssueInstant, setInboundSAMLProtocol, setLocalEntityId, setLocalEntityMetadata, setLocalEntityRole, setLocalEntityRoleMetadata, setMetadataProvider, setOutboundMessageArtifactType, setOutboundSAMLMessage, setOutboundSAMLMessageId, setOutboundSAMLMessageIssueInstant, setOutboundSAMLMessageSigningCredential, setOutboundSAMLProtocol, setPeerEntityEndpoint, setPeerEntityId, setPeerEntityMetadata, setPeerEntityRole, setPeerEntityRoleMetadata, setRelayState, setSubjectNameIdentifier`

Methods inherited from interface org.opensaml.ws.message.MessageContext
`getCommunicationProfileId, getInboundMessage, getInboundMessageIssuer, getInboundMessageTransport, getOutboundHandlerChainResolver, getOutboundMessage, getOutboundMessageIssuer, getOutboundMessageTransport, getPostSecurityInboundHandlerChainResolver, getPreSecurityInboundHandlerChainResolver, getSecurityPolicyResolver, isIssuerAuthenticated, setCommunicationProfileId, setInboundMessage, setInboundMessageIssuer, setInboundMessageTransport, setOutboundHandlerChainResolver, setOutboundMessage, setOutboundMessageIssuer, setOutboundMessageTransport, setPostSecurityInboundHandlerChainResolver, setPreSecurityInboundHandlerChainResolver, setSecurityPolicyResolver`

Constructor Detail

### BaseSAML2ProfileRequestContext

    public BaseSAML2ProfileRequestContext()

Method Detail

### getFailureStatus

    public org.opensaml.saml2.core.Status getFailureStatus()

  Gets the status reflecting a request failure.

  Returns:
    status reflecting a request failure

### setFailureStatus

    public void setFailureStatus(org.opensaml.saml2.core.Status status)

  Sets the status reflecting a request failure.

  Parameters:
    `status` - status reflecting a request failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2011 Internet2. All Rights Reserved.